List transcriptions for a session
curl --request GET \
--url https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions \
--header 'x-access-token: <api-key>'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transcription": "<string>",
"speaker": "<string>",
"is_partial": true,
"provider": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
}Transcriptions
List transcriptions for a session
Requires read:transcriptions scope (legacy tokens with empty scopes pass).
GET
/
v1
/
event
/
{eventId}
/
sessions
/
{sessionId}
/
transcriptions
List transcriptions for a session
Authorizations
ApiKeyBearerToken
Organization API token. Generate from Organization Settings → API Tokens.
Query Parameters
Page number for pagination.
Required range:
1 <= x <= 999Number of results per page.
Required range:
1 <= x <= 100⌘I

